Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class RobocodeFileOutputStream

    java.lang.Object
      java.io.OutputStream
          robocode.RobocodeFileOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class RobocodeFileOutputStream

extends java.io.OutputStream

RobocodeFileOutputStream is used for streaming/writing data out to a file, which you got by calling `AdvancedRobot.getDataFile(String)`.

You should read java.io.FileOutputStream for documentation of this class.

Please notice that the max. size of your data file is set to 200000 (~195 KB).

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  `AdvancedRobot.getDataFile(String)`, `FileOutputStream`

Constructor Summary
`RobocodeFileOutputStream(java.io.File file)` RobocodeFileOutputStream constructor -- see FileOutputStream for docs!
`RobocodeFileOutputStream(java.io.FileDescriptor fdObj)` RobocodeFileOutputStream constructor -- see FileOutputStream for docs!
`RobocodeFileOutputStream(java.lang.String name)` RobocodeFileOutputStream constructor -- see FileOutputStream for docs!
`RobocodeFileOutputStream(java.lang.String name, boolean append)` RobocodeFileOutputStream constructor -- see FileOutputStream for docs!

Method Summary
`void` | `close()` See java.io.FileOutputStream
`void` | `flush()` See java.io.FileOutputStream
`java.lang.String` | `getName()` Returns the filename
`void` | `setFileOutputStream(java.io.FileOutputStream out)` The system calls this method, you should not call it.
`static void` | `setThreadManager(robocode.manager.ThreadManager threadManager)` The system calls this method, you should not call it.
`void` | `write(byte[] b)` See java.io.FileOutputStream
`void` | `write(byte[] b, int off, int len)` See java.io.FileOutputStream
`void` | `write(int b)` See java.io.FileOutputStream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobocodeFileOutputStream

    public RobocodeFileOutputStream(java.io.File file)
                             throws java.io.IOException

  RobocodeFileOutputStream constructor -- see FileOutputStream for docs!

  Throws:
    `java.io.IOException`
  See Also:
    `FileOutputStream`

### RobocodeFileOutputStream

    public RobocodeFileOutputStream(java.io.FileDescriptor fdObj)

  RobocodeFileOutputStream constructor -- see FileOutputStream for docs!

  See Also:
    `FileOutputStream`

### RobocodeFileOutputStream

    public RobocodeFileOutputStream(java.lang.String name)
                             throws java.io.IOException

  RobocodeFileOutputStream constructor -- see FileOutputStream for docs!

  Throws:
    `java.io.IOException`
  See Also:
    `FileOutputStream`

### RobocodeFileOutputStream

    public RobocodeFileOutputStream(java.lang.String name,
                                    boolean append)
                             throws java.io.IOException

  RobocodeFileOutputStream constructor -- see FileOutputStream for docs!

  Throws:
    `java.io.IOException`
  See Also:
    `FileOutputStream`

Method Detail

### close

    public final void close()
                     throws java.io.IOException

  See java.io.FileOutputStream

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `FileOutputStream`

### flush

    public final void flush()
                     throws java.io.IOException

  See java.io.FileOutputStream

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `FileOutputStream`

### getName

    public final java.lang.String getName()

  Returns the filename

### setFileOutputStream

    public final void setFileOutputStream(java.io.FileOutputStream out)

  The system calls this method, you should not call it.

### setThreadManager

    public static final void setThreadManager(robocode.manager.ThreadManager threadManager)

  The system calls this method, you should not call it.

### write

    public final void write(byte[] b)
                     throws java.io.IOException

  See java.io.FileOutputStream

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `FileOutputStream`

### write

    public final void write(byte[] b,
                            int off,
                            int len)
                     throws java.io.IOException

  See java.io.FileOutputStream

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `FileOutputStream`

### write

    public final void write(int b)
                     throws java.io.IOException

  See java.io.FileOutputStream

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `FileOutputStream`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD